Issue 11776 - Rows expansion not working
Summary: Rows expansion not working
Status: CLOSED FIXED
Alias: None
Product: Calc
Classification: Application
Component: code (show other issues)
Version: OOo 1.0.2
Hardware: PC All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: oc
QA Contact: issues@sc
URL: http://www.ambra.ro/ASBIS-List 23.02....
Keywords:
Depends on:
Blocks:
 
Reported: 2003-02-24 09:17 UTC by Unknown
Modified: 2013-08-07 15:12 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Rows cannot be expanded (211.00 KB, application/octet-stream)
2003-02-24 09:42 UTC, Unknown
no flags Details
Excel file opened in OpenOffice (46.34 KB, image/gif)
2003-02-24 12:00 UTC, Unknown
no flags Details
Excel file opened in 602 PcSuite 2001 (42.43 KB, image/gif)
2003-02-24 12:01 UTC, Unknown
no flags Details
Proof of Concept Patch (10.48 KB, patch)
2003-03-14 14:40 UTC, john.marmion
no flags Details | Diff
Use the new template list class ScfDelList<> rather than List() (9.02 KB, patch)
2003-03-14 17:53 UTC, john.marmion
no flags Details | Diff
Update and clean up patch (9.89 KB, patch)
2003-03-24 15:40 UTC, john.marmion
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Unknown 2003-02-24 09:17:47 UTC
In the URL refered document (sorry, I haven't found how to attach it)
rows cannot be expanded.
The same behaviour is exhibited by MS Excel Viewer and Gnumeric.
It works, however, in 602PC Suite
(http://www.software602.com/products/pcs/download.html )
Comment 1 Unknown 2003-02-24 09:42:12 UTC
Created attachment 4863 [details]
Rows cannot be expanded
Comment 2 frank 2003-02-24 09:56:50 UTC
Hi,

don't know what you mean. Please be a little more precisse.

Frank
Comment 3 Unknown 2003-02-24 12:00:14 UTC
Created attachment 4867 [details]
Excel file opened in OpenOffice
Comment 4 Unknown 2003-02-24 12:01:20 UTC
Created attachment 4868 [details]
Excel file opened in 602 PcSuite 2001
Comment 5 frank 2003-02-24 12:30:39 UTC
Hi Daniel,

the outlines are not working.

Please have a look.

Frank
Comment 6 daniel.rentz 2003-02-24 16:43:41 UTC
Problem found: Collapsed outlines and auto filter (column D)
Comment 7 daniel.rentz 2003-02-25 07:33:49 UTC
workaround: remove the auto filter in column D

to fix: apply outlines after 
filters
Comment 8 john.marmion 2003-03-12 15:26:31 UTC
taking ownership of this issue.
Comment 9 john.marmion 2003-03-12 16:15:21 UTC
marking this as started
Comment 10 john.marmion 2003-03-14 14:40:44 UTC
Created attachment 5092 [details]
Proof of Concept Patch
Comment 11 john.marmion 2003-03-14 17:53:47 UTC
Created attachment 5094 [details]
Use the new template list class ScfDelList<> rather than List()
Comment 12 john.marmion 2003-03-24 15:40:50 UTC
Created attachment 5214 [details]
Update and clean up patch
Comment 13 john.marmion 2003-03-24 15:54:40 UTC
Checked in patch today into CWS calc06. Fix will be available in 1.1 
Beta 2.
Comment 14 john.marmion 2003-04-03 15:18:13 UTC
reopen to assign to QA
Comment 15 john.marmion 2003-04-03 15:18:42 UTC
assign to QA
Comment 16 john.marmion 2003-04-03 15:19:12 UTC
restore fixed status
Comment 17 frank 2003-04-07 12:16:21 UTC
verified on cws calc06 using Windows and Solaris Version
Comment 18 frank 2003-04-16 12:20:27 UTC
found integrated on srx644m10s1 using Solaris, Linux and Windows